Package Gnumed :: Package business :: Module gmEMRStructItems :: Class cProblem |
[frames] | no frames]

# Class cProblem

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cProblem

    Represents one problem.

    problems are the aggregation of
            .clinically_relevant=True issues and
            .is_open=True episodes

Instance Methods
__init__(self, aPK_obj=None, try_potential_problems=False) Initialize. | source code
get_as_episode(self) Retrieve the cEpisode instance equivalent to this problem. | source code
get_as_health_issue(self) Retrieve the cHealthIssue instance equivalent to this problem. | source code
get_visual_progress_notes(self, encounter_id=None) | source code
get_diagnostic_certainty_description(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| diagnostic_certainty_description
| generic_codes
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, try_potential_problems=False) (Constructor) | source code
    Initialize.

    aPK_obj must contain the keys
            pk_patient
            pk_episode
            pk_health_issue
Overrides: object.__init__

### get_as_episode(self) | source code
Retrieve the cEpisode instance equivalent to this problem. The problem's type attribute must be 'episode'

### get_as_health_issue(self) | source code
Retrieve the cHealthIssue instance equivalent to this problem. The problem's type attribute must be 'issue'

Property Details

### diagnostic_certainty_description Get Method: get_diagnostic_certainty_description(self) Set Method: unreachable(x)

### generic_codes Get Method: _get_generic_codes(self) Set Method: unreachable(x)